UPDATE magicRun
    JOIN magicDSRun USING(magic_id)
    JOIN magicDSFile USING(magic_ds_id) 
    JOIN rawExp ON rawExp.magicked = magic_ds_id
    JOIN rawImfile ON rawExp.exp_id = rawImfile.exp_id
SET rawImfile.magicked = 0, 
    rawExp.magicked = 0, 
    magicDSRun.state = 'censored', 
    magicDSFile.fault = 42

